Oracle Linux 6161 Published by

A curl security update has been released for Oracle Linux 9.



ELSA-2023-6745 Important: Oracle Linux 9 curl security update


Oracle Linux Security Advisory ELSA-2023-6745

http://linux.oracle.com/errata/ELSA-2023-6745.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
curl-7.76.1-26.el9_3.2.x86_64.rpm
curl-minimal-7.76.1-26.el9_3.2.x86_64.rpm
libcurl-7.76.1-26.el9_3.2.i686.rpm
libcurl-7.76.1-26.el9_3.2.x86_64.rpm
libcurl-devel-7.76.1-26.el9_3.2.i686.rpm
libcurl-devel-7.76.1-26.el9_3.2.x86_64.rpm
libcurl-minimal-7.76.1-26.el9_3.2.i686.rpm
libcurl-minimal-7.76.1-26.el9_3.2.x86_64.rpm

aarch64:
curl-7.76.1-26.el9_3.2.aarch64.rpm
curl-minimal-7.76.1-26.el9_3.2.aarch64.rpm
libcurl-7.76.1-26.el9_3.2.aarch64.rpm
libcurl-devel-7.76.1-26.el9_3.2.aarch64.rpm
libcurl-minimal-7.76.1-26.el9_3.2.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//curl-7.76.1-26.el9_3.2.src.rpm

Related CVEs:

CVE-2023-38545
CVE-2023-38546

Description of changes:

[7.76.1-26.el9_3.2]
- fix cookie injection with none file (CVE-2023-38546)

[7.76.1-26.el9_3.1]
- socks: return error if hostname too long for remote resolve (CVE-2023-38545)